```toml
[advisory]
id = "RUSTSEC-2021-0053"
package = "algorithmica"
date = "2021-03-07"
url = "https://github.com/AbrarNitk/algorithmica/issues/1"
categories = ["memory-corruption"]
aliases = ["CVE-2021-31996", "GHSA-jh37-772x-4hpw"]

[versions]
patched = []
```

# 'merge_sort::merge()' crashes with double-free for `T: Drop`

In the affected versions of this crate, `merge_sort::merge()` wildly duplicates and drops ownership of `T` without guarding against double-free. Due to such implementation,
simply invoking `merge_sort::merge()` on `Vec<T: Drop>` can cause **double free** bugs.
