```toml
[advisory]
id = "RUSTSEC-2019-0007"
package = "asn1_der"
aliases = ["CVE-2019-15549", "GHSA-v5r6-6r3c-wqxc"]
cvss = "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H"
date = "2019-06-13"
keywords = ["dos"]
url = "https://github.com/KizzyCode/asn1_der/issues/1"

[versions]
patched = [">= 0.6.2"]
```

# Processing of maliciously crafted length fields causes memory allocation SIGABRTs

Affected versions of this crate tried to preallocate a vector for an arbitrary amount of bytes announced by the ASN.1-DER length field without further checks.

This allows an attacker to trigger a SIGABRT by creating length fields that announce more bytes than the allocator can provide.
 
The flaw was corrected by not preallocating memory.
