```toml
[advisory]
id = "RUSTSEC-2020-0075"
package = "branca"
aliases = ["CVE-2020-35918", "GHSA-c9rv-3jmq-527w"]
cvss = "CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H"
date = "2020-11-29"
url = "https://github.com/return/branca/issues/24"
categories = ["denial-of-service"]
keywords = ["decoding", "panic", "untrusted data"]

[affected.functions]
"branca::decode" = ["< 0.10.0"]
"branca::Branca::decode" = ["< 0.10.0"]

[versions]
patched = [">= 0.10.0"]
```

# Unexpected panic when decoding tokens

Prior to `0.10.0` it was possible to have both decoding functions panic unexpectedly,
by supplying tokens with an incorrect base62 encoding.

The documentation stated that an error should have been reported instead.
