```toml
[advisory]
id = "RUSTSEC-2020-0107"
package = "hashconsing"
aliases = ["CVE-2020-36215", "GHSA-rw2c-c256-3r53"]
cvss = "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H"
date = "2020-11-10"
url = "https://github.com/AdrienChampion/hashconsing/issues/1"
categories = ["memory-corruption", "thread-safety"]
keywords = ["concurrency"]
[versions]
patched = [">= 1.1.0"]
```

# hashconsing's HConsed lacks Send/Sync bound for its Send/Sync trait.

Affected versions of `hashconsing` implements `Send`/`Sync` for its `HConsed` type without restricting it to `Send`able types and `Sync`able types.

This allows non-`Sync` types such as `Cell` to be shared across threads leading to undefined behavior and memory corruption in concurrent programs.
