```toml
[advisory]
id = "RUSTSEC-2020-0088"
package = "magnetic"
aliases = ["CVE-2020-35925", "GHSA-wv4p-jp67-jr97"]
cvss = "CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H"
date = "2020-11-29"
url = "https://github.com/johnshaw/magnetic/issues/9"
categories = ["thread-safety"]

[versions]
patched = [">= 2.0.1"]
```

# MPMCConsumer/Producer allows sending non-Send type across threads

Affected versions of this crate unconditionally implemented `Sync` and `Send` traits for `MPMCConsumer` and `MPMCProducer` types.

This allows users to send types that do not implement `Send` trait across thread boundaries, which can cause a data race.

The flaw was corrected in the 2.0.1 release by adding `T: Send` bound to affected Sync/Send trait implementations.
