```toml
[advisory]
id = "CVE-2021-28877"
package = "std"
categories = ["memory-corruption"]
date = "2021-01-03"
url = "https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-28877"

[versions]
patched = [">= 1.51.0"]
unaffected = ["< 1.11.0"]
```

# TrustedRandomAccess specialization composes incorrectly for nested iter::Zips

In the standard library in Rust before 1.51.0, the Zip implementation calls `__iterator_get_unchecked()` for the same index more than once when nested. This bug can lead to a memory safety violation due to an unmet safety requirement for the `TrustedRandomAccess` trait.
